Multi Region Support

MAVAN supports deploying ETH validators to a region of your choice

The following regions can be used by passing a value for the `region` field in the staking request body.

Validators will be deployed in the US region by default.

EnvironmentValid RegionsSupported Endpoints
Ethereum Mainnet
  • US
  • EU
Hoodi Testnet
  • US
  • EU

An example curl request to create a Pectra validator in the EU region is shown below:

curl -X 'POST' \
  'https://api.mavan.bitminetech.io/ethereum/stakeV3' \
  -H 'accept: application/json' \
  -H 'api-key: yourApiKey' \
  -H 'Content-Type: application/json' \
  -d '{
  "withdrawalAddress": "0x0000000000000000000000000000000000000000",
  "suggestedFeeRecipient": "0x0000000000000000000000000000000000000000",
  "stakeAmountGwei": "32000000000",
  "maxEthPerValidatorGwei": "2048000000000",
  "reference": "Default Staking Account",
  "label": "Staking 32 ETH",
  "region": "EU",
  "fromAddress": "0x0000000000000000000000000000000000000000"
}'